terraform {
  required_version = "~>1.8"
  required_providers {
    random = {
      source  = "hashicorp/random"
      version = "~>3.4"
    }
    null = {
      source  = "hashicorp/null"
      version = "~>3.2"
    }
    external = {
      source  = "hashicorp/external"
      version = "~>2.2"
    }
    time = {
      source  = "hashicorp/time"
      version = "~>0.9"
    }
    kubernetes = {
      source  = "hashicorp/kubernetes"
      version = "~>2.18"
    }
    scaleway = {
      source  = "scaleway/scaleway"
      version = "~>2.13"
    }
  }
}

provider "kubernetes" {
  config_path    = "~/.kube/config"
  config_context = "microk8s"
  insecure       = true
}

provider "scaleway" {
  zone            = "fr-par-2"
  region          = "fr-par"
  access_key      = var.scaleway_access_key
  secret_key      = var.scaleway_secret_key
  organization_id = var.scaleway_organization_id
}

